import React from "react";
interface IProps {
    onFinished(): void;
}
export default class ServerOfflineDialog extends React.PureComponent<IProps> {
    componentDidMount(): void;
    componentWillUnmount(): void;
    private onEchosUpdated;
    private renderTimeline;
    render(): React.ReactNode;
}
export {};
